PDA

View Full Version : SASL Auth daemon failure


millson249
16th November 2006, 04:11
Regaurding the perfect setup for dapper howto...

Hi, Im having an issue with the saslauthd, every time I try and start it it fails to start, I have rechecked all the configurations in /etc/init.d/saslauthd /etc/default/saslauthd and even /etc/postfix/main.cf, and they all seem to be fine, no typos i can see, and I even directly copied the configuration file you had posted (modifying it to my configurations of course), but it still will not start, I am wondering if you could help narrow down the problem, is there something on one of the previous pages in the guide that I havent re-checked that may be the problem? As far as I know everything is working just fine, except this. Thanks for any assistance you can provide =)

Edit: oh, and im on dapper drake, in case you needed to know

falko
16th November 2006, 17:23
Are there any error messages in /var/log/mail.log?

millson249
16th November 2006, 22:23
no, as far as I can tell, though I havent really put it to much use other than the forums I have configured on my webserver. I do know that the forums are sending emails properly.

Edit: ok I just set up thunderbird to test the email setup, and it did generate errors, here they are...

Nov 16 12:32:50 desktop postfix/master[12002]: daemon started -- version 2.2.10, configuration /etc/postfix
Nov 16 12:51:34 desktop postfix/smtpd[12626]: connect from desktop.millson249.gotdns.com[192.168.1.100]
Nov 16 12:51:47 desktop postfix/smtpd[12626]: warning: SASL authentication failure: cannot connect to saslauthd server: No such file or directory
Nov 16 12:51:47 desktop postfix/smtpd[12626]: warning: SASL authentication failure: Password verification failed
Nov 16 12:51:47 desktop postfix/smtpd[12626]: warning: desktop.millson249.gotdns.com[192.168.1.100]: SASL PLAIN authentication failed
Nov 16 12:51:47 desktop postfix/smtpd[12626]: warning: SASL authentication failure: cannot connect to saslauthd server: No such file or directory
Nov 16 12:51:47 desktop postfix/smtpd[12626]: warning: desktop.millson249.gotdns.com[192.168.1.100]: SASL LOGIN authentication failed
Nov 16 12:51:51 desktop postfix/smtpd[12626]: warning: SASL authentication failure: cannot connect to saslauthd server: No such file or directory
Nov 16 12:51:51 desktop postfix/smtpd[12626]: warning: SASL authentication failure: Password verification failed
Nov 16 12:51:51 desktop postfix/smtpd[12626]: warning: desktop.millson249.gotdns.com[192.168.1.100]: SASL PLAIN authentication failed
Nov 16 12:51:51 desktop postfix/smtpd[12626]: warning: SASL authentication failure: cannot connect to saslauthd server: No such file or directory
Nov 16 12:51:51 desktop postfix/smtpd[12626]: warning: desktop.millson249.gotdns.com[192.168.1.100]: SASL LOGIN authentication failed
Nov 16 12:52:06 desktop postfix/smtpd[12626]: lost connection after AUTH from desktop.millson249.gotdns.com[192.168.1.100]
Nov 16 12:52:06 desktop postfix/smtpd[12626]: disconnect from desktop.millson249.gotdns.com[192.168.1.100]

falko
17th November 2006, 16:21
Nov 16 12:51:47 desktop postfix/smtpd[12626]: warning: SASL authentication failure: cannot connect to saslauthd server: No such file or directory

Ok, that's the problem.
What's the output of ps aux|grep sasl? What's in /etc/default/saslauthd and /etc/init.d/saslauthd?
What's the output of ls -la /var/spool/postfix/var/run?

millson249
18th November 2006, 00:01
yes, i know thats the problem :p thats what im trying to figure out, is why when I run /etc/init.d/saslauthd start it says it failed to start

ps aux|grep sasl confirms it aswell, here is the output...

root 5637 0.0 0.0 2876 792 pts/0 R+ 13:52 0:00 grep sasl

here is the contents of /etc/default/saslauthd...

# This needs to be uncommented before saslauthd will be run automatically
START=yes

PARAMS="-m /var/spool/postfix/var/run/saslauthd -r"

# You must specify the authentication mechanisms you wish to use.
# This defaults to "pam" for PAM support, but may also include
# "shadow" or "sasldb", like this:
# MECHANISMS="pam shadow"

MECHANISMS="pam"

and /etc/init.d/saslauthd...

#!/bin/sh -e

NAME=saslauthd
DAEMON="/usr/sbin/${NAME}"
DESC="SASL Authentication Daemon"
DEFAULTS=/etc/default/saslauthd
PWDIR=/var/run/saslauthd
PIDFILE="/var/spool/postfix/var/run/${NAME}/saslauthd.pid"

createdir() {
# $1 = user
# $2 = group
# $3 = permissions (octal)
# $4 = path to directory
[ -d "$4" ] || mkdir -p "$4"
chown -c -h "$1:$2" "$4"
chmod -c "$3" "$4"
}

test -f "${DAEMON}" || exit 0

# Source defaults file; edit that file to configure this script.
if [ -e "${DEFAULTS}" ]; then
. "${DEFAULTS}"
fi

# If we're not to start the daemon, simply exit
if [ "${START}" != "yes" ]; then
exit 0
fi

# If we have no mechanisms defined
if [ "x${MECHANISMS}" = "x" ]; then
echo "You need to configure ${DEFAULTS} with mechanisms to be used"
exit 0
fi

# Add our mechanimsms with the necessary flag
PARAMS="${PARAMS} -a ${MECHANISMS}"

START="--start --quiet --pidfile ${PIDFILE} --startas ${DAEMON} --name ${NAME} -- ${PARAMS}"

# Consider our options
case "${1}" in
start)
echo -n "Starting ${DESC}: "
dir=`dpkg-statoverride --list $PWDIR`
test -z "$dir" || createdir $dir
if start-stop-daemon ${START} >/dev/null 2>&1 ; then
echo "${NAME}."
else
if start-stop-daemon --test ${START} >/dev/null 2>&1; then
echo "(failed)."
exit 1
else
echo "${DAEMON} already running."
exit 0
fi
fi
;;
stop)
echo -n "Stopping ${DESC}: "
if start-stop-daemon --stop --quiet --pidfile "${PIDFILE}" \
--startas ${DAEMON} --retry 10 --name ${NAME} \
>/dev/null 2>&1 ; then
echo "${NAME}."
else
if start-stop-daemon --test ${START} >/dev/null 2>&1; then
echo "(not running)."
exit 0
else
echo "(failed)."
exit 1
fi
fi
;;
restart|force-reload)
$0 stop
exec $0 start
;;
*)
echo "Usage: /etc/init.d/${NAME} {start|stop|restart|force-reload}" >&2
exit 1
;;
esac

exit 0


and apperently /var/spool/postfix/var/run doesnt exist...

edit: Well... I could swear I did that step, but something happened and it didnt create that folder apperently, I just tried starting the saslauthd daemon and no error messages popped up, unless for some reason it doesnt display the same stuff through ssh, but I think it may have worked, sorry for the trouble =)

thank you =)

amitbiswas
18th October 2007, 04:08
Hi guys,
if you are running postfix in chroot, then just create softlink
ln -s /var/spool/postfix/var/run/saslauthd /var/run/saslauthd

thanks
amit

joaocosta
21st October 2007, 02:38
Adding this soft link solved the problem for me. Thanks !

trondhuso
16th August 2011, 13:05
The symlink also fixed my problem today. Thanks!

It is a pitty that it does not state in any logs which file/directory is missing.

Trond